aboutsummaryrefslogtreecommitdiffstats
path: root/asdc-tests/src/test/resources/CI/importResource-MMSC/deleteNormative.sh
diff options
context:
space:
mode:
Diffstat (limited to 'asdc-tests/src/test/resources/CI/importResource-MMSC/deleteNormative.sh')
-rw-r--r--asdc-tests/src/test/resources/CI/importResource-MMSC/deleteNormative.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/asdc-tests/src/test/resources/CI/importResource-MMSC/deleteNormative.sh b/asdc-tests/src/test/resources/CI/importResource-MMSC/deleteNormative.sh
new file mode 100644
index 0000000000..fb46daa544
--- /dev/null
+++ b/asdc-tests/src/test/resources/CI/importResource-MMSC/deleteNormative.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+function usage {
+ echo "Usage: $0 <hostIp> <hostPort> <resourceName>"
+}
+
+function deleteResource() {
+
+ ELEMENT_NAME=$1
+ echo -e "############### Removing Element ${ELEMENT_NAME} Start ######################"
+ http_code=$(curl -s -o /dev/null -w "%{http_code}" -X "DELETE" -H "USER_ID: jh0003" ${HOST_IP}:${HOST_PORT}/sdc2/rest/v1/catalog/resources/res_${ELEMENT_NAME}".1.0")
+ if [ ${http_code} -eq 204 ]; then
+ echo -e "\n############### Removing Element ${ELEMENT_NAME} status code:${http_code} End #######\n\n\n"
+ elif [ ${http_code} -eq 500 ]; then
+ echo -e "\n############### Failed to remove Element ${ELEMENT_NAME} status code:${http_code} End #######\n\n\n"
+ exit 1
+ elif [ ${http_code} -eq 404 ]; then
+ echo -e "\n############### Element ${ELEMENT_NAME} not found status code:${http_code} End #######\n\n\n"
+ else
+ echo -e "\n############### Failed to remove Element ${ELEMENT_NAME} status code:${http_code} End #######\n\n\n"
+ exit 1
+ fi
+}
+if [ $# -lt 3 ]
+then
+ usage
+ exit 2
+fi
+
+HOST_IP=$1
+HOST_PORT=$2
+
+deleteResource $3
+
+exit 0